This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 767629 - [as7] Unable to add datasource - having deployment breaks UI when adding DS
[as7] Unable to add datasource - having deployment breaks UI when adding DS
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI, Operations (Show other bugs)
4.3
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
: FutureFeature
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-12-14 09:57 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:23:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adding datasource - broken UI (181.39 KB, image/png)
2011-12-14 09:57 EST, Libor Zoubek
no flags Details

  None (edit)
Description Libor Zoubek 2011-12-14 09:57:04 EST
Created attachment 546754 [details]
adding datasource - broken UI

Version-Release number of selected component (if applicable):
Version: 4.3.0-SNAPSHOT
Build Number: 35fcafb

How reproducible:always


Steps to Reproduce:
1. have as7 standalone (I have eap6 DR8)
2. create deployment child using RHQ UI (hello.war)
3. wait for agent to discover deployment
4. try to add datasource using RHQ UI
  
Actual results: I am not able to fill all required fields when adding datasource, instead of 'Driver Name:' input field there is radio with the name of deployment (hello.war), see screenshot


Expected results: Driver name field is available


Additional info:
Comment 1 Heiko W. Rupp 2011-12-15 10:49:50 EST
Did you upload a valid driver first?
You need to go to the server, add a driver as deployment and then go to the datasources to create the datasource.

But I agree, that .war files should not show up in that list.
Comment 2 Libor Zoubek 2011-12-15 13:20:08 EST
No, I don't add driver, I am creating datasource with same driver as the exampleDS, so I use h2 driver
Comment 3 Heiko W. Rupp 2012-01-30 11:20:52 EST
master 4073cfff18630 filters for .jar files as drivers, so deployed .war and .ear should no longer show.

Question is how to deal with module loaded drivers - h2 is (afaik) supposed to go away in EAP6.
One could allow an additional text field where such a driver name can be entered by hand. The list of deployed jars would then be optional.
Comment 4 Heiko W. Rupp 2012-04-10 16:27:00 EDT
Add text field for naming the driver. If neither selected driver nor text field or both are present, throw an Exception in code.
Comment 5 Heiko W. Rupp 2012-04-10 16:28:05 EDT
We put this on QA, as the original task is done.

and open a new RfE for support of module loaded drivers
Comment 6 Heiko W. Rupp 2013-09-02 03:23:23 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.